- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# SCS::ConnectedClient Class Reference

Clients on the CAN bus that have identfied themselves with an IDS are stored in this format. More...

`#include <connectedclient.h>`

List of all members.

## Public Member Functions
| ConnectedClient (uint8_t node_id, uint8_t hardware_revision, uint8_t software_revision, uint8_t identifier_distribution, uint8_t header_type)
void | resetTimer ()
void | poke ()
bool | wasPoked () const
bool | hasTimedOut () const
uint8_t | nodeId () const
bool | operator< (const ConnectedClient &rhs) const
## Static Public Attributes
static const float | time_out

## Detailed Description

Clients on the CAN bus that have identfied themselves with an IDS are stored in this format.

They are identified by their node id. If they remain silent, they are dropped after a timeout. This class is used for internal housekeeping of CanAeroBusConnector.

Author:
  (c) 2009, 2010 by Philipp Münzel

Version:
  1.3

## Constructor & Destructor Documentation

SCS::ConnectedClient::ConnectedClient | ( | uint8_t | node_id,
|  | uint8_t | hardware_revision,
|  | uint8_t | software_revision,
|  | uint8_t | identifier_distribution,
|  | uint8_t | header_type
| ) |  |

Parameters:

  node_id | unique id on the CAN bus, either hard-wired or auto-assigned via NCS node service
  hardware_revision | for software nodes this is their software version number
  software_revision | for all nodes this is the config file revision number they require
  identifier_distribution | according to SCS or CAN Aerospace specification
  header_type | according to CAN Aerospace specification

## Member Function Documentation

bool SCS::ConnectedClient::hasTimedOut | ( |  | ) | const

Returns:
  True when client has been silent for longer than ConnectedClient::time_out seconds.

uint8_t SCS::ConnectedClient::nodeId | ( |  | ) | const

Returns:
  Node id

bool SCS::ConnectedClient::operator< | ( | const ConnectedClient & | rhs | ) | const

To be used as key in sets or maps, clients are sorted according to their node id. The id remains const over the lifetime of an instance.

void SCS::ConnectedClient::poke | ( |  | ) |

try to poke the node with an IDS to see if it is really gone or just normally silent.

void SCS::ConnectedClient::resetTimer | ( |  | ) |

Will be called to reset timeout after reception of data.

bool SCS::ConnectedClient::wasPoked | ( |  | ) | const

Returns:
  has the node already been poked

## Member Data Documentation

const float SCS::ConnectedClient::time_out`[static]`

Value is given in seconds.

The documentation for this class was generated from the following file:

- connectedclient.h